import React from "react";
import PropTypes from "prop-types";
import Icon from "./Icon";

const MainBalanceIcon = ({ originalWidth, originalHeight, color, ...props }) => (
    <Icon
        originalHeight={originalHeight}
        originalWidth={originalWidth}
        {...props}
    >
        <path d="M42.5397 5.99991C44.0274 5.99991 45.2348 7.20732 45.2294 8.69502V16.0527H29.2312C29.048 16.0527 28.8647 16.0635 28.6868 16.085C27.6195 16.209 26.6655 16.7049 25.954 17.438C25.1508 18.2627 24.6549 19.3892 24.6549 20.629V26.6229C24.6549 29.1509 26.7086 31.2046 29.2366 31.2046H45.2294V38.724C45.2294 40.2118 44.0221 41.4191 42.5343 41.4191H2.69512C1.20741 41.4191 0 40.2118 0 38.724V8.69502C0 8.45246 0.0377316 8.21529 0.0970242 7.9889C0.194048 7.62776 0.366536 7.29895 0.592925 7.01327C1.08883 6.3934 1.84885 5.99991 2.70051 5.99991H42.5397Z" fill="white"/>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M46.1777 18.0692C46.5334 18.1932 46.8515 18.3819 47.121 18.6298C47.66 19.1203 47.9996 19.8318 47.9996 20.6189V26.6182C47.9996 27.4051 47.66 28.1166 47.121 28.6071C46.8515 28.8551 46.5334 29.0491 46.1777 29.1677C45.9028 29.2593 45.6117 29.3132 45.3045 29.3132H29.2361C27.7484 29.3132 26.541 28.1058 26.541 26.6181V20.6189C26.541 19.1311 27.7484 17.9237 29.2361 17.9237H45.3045C45.6117 17.9237 45.9027 17.9776 46.1777 18.0692ZM33.516 25.5023C34.2598 25.5023 34.8636 24.8986 34.8636 24.1548V23.26C34.8636 22.5161 34.2598 21.9125 33.516 21.9125H32.6212C32.3086 21.9125 32.0229 22.0256 31.7911 22.2035C31.4731 22.446 31.2737 22.8288 31.2737 23.26V24.1548C31.2737 24.8986 31.8774 25.5023 32.6212 25.5023H33.516Z" fill="white"/>
    </Icon>
);

MainBalanceIcon.defaultProps = {
    originalWidth: 48,
    originalHeight: 48,
};

MainBalanceIcon.propTypes = {
    originalHeight: PropTypes.number,
    originalWidth: PropTypes.number,
};

export default MainBalanceIcon;
